//------------------------------------------------------------------------------
/*
 * Project name:
     Digital Horn
 * Copyright:
     Copyright  2009 Ar2r. All rights reserved.
 * Description:
     Digital Horn
 * Test configuration:
     MCU:             PIC16F84A
     Dev.Board:       Custom
     Oscillator:      HS, 4.0 MHz
     Ext. Modules:    M27C256 & DAC
     SW:              MikroC v8.2
 * NOTES:
     None.
*/
//------------------------------------------------------------------------------
unsigned int x;
//------------------------------------------------------------------------------
void main()
{
    INTCON     = 0;                    // All interrupt stopped
    TRISA.F0   = 0;                    // Set PORTA A0 is output
    TRISA.F1   = 0;                    // Set PORTA A1 is output
    TRISA.F2   = 0;                    // Set PORTA A2 is output
    TRISA.F3   = 0;                    // Set PORTA A3 is output
    TRISB      = 0;                    // Set PORTB as output
    TRISA.F4   = 1;                    // Set PORTA A4 as input
    PORTB=0;
    PORTA=0;

    while (1)
        {
            if(PORTA.F4==0)
                {
                    for(x=0;x<=3878;x++)
                        {
                            PORTB=x;
                            PORTA=x>>8;
                            Delay_us(100);
                        }
                    PORTB=0;
                    PORTA=0;
                }
        }
}
//------------------------------------------------------------------------------
